import React, { ElementType } from 'react';
import { IClassNameProps } from '../../@types';
export interface IMenuPopoverItem extends IClassNameProps {
    disabled?: boolean;
    id: string | number;
    isDanger?: boolean;
    onClick?: any;
    value: string | React.ReactElement;
}
export interface IMenuPopoverProps extends IClassNameProps {
    /**
     * Defines disabled state of menu
     */
    disabled?: boolean;
    /**
     * Defines popover wrapper class names
     */
    itemsWrapperClass?: string;
    /**
     * Defines menu item element type
     */
    menuItemAs?: ElementType<any | undefined>;
    /**
     * Defines menu item class names
     */
    menuItemClass?: string;
    /**
     * Defines menu item options array
     */
    menuItems: IMenuPopoverItem[];
    /**
     * Defines trigger element. Can say trigger button's children
     */
    trigger: string | React.ReactElement;
    /**
     * Defines trigger button additional class names
     */
    triggerButtonClass?: string;
}
export declare function MenuPopover({ className, disabled, itemsWrapperClass, menuItemAs, menuItemClass, menuItems, trigger, triggerButtonClass, ...other }: IMenuPopoverProps): JSX.Element;
//# sourceMappingURL=MenuPopover.d.ts.map