const defaultThemeColors = require('tailwindcss/colors')


const explicitColors = {
	amber: defaultThemeColors.amber,
	blue: defaultThemeColors.blue,
	blueGray: defaultThemeColors.blueGray,
	coolGray: defaultThemeColors.coolGray,
	cyan: defaultThemeColors.cyan,
	emerald: defaultThemeColors.emerald,
	fuchsia: defaultThemeColors.fuchsia,
	gray: defaultThemeColors.gray,
	green: defaultThemeColors.green,
	indigo: defaultThemeColors.indigo,
	lime: defaultThemeColors.lime,
	orange: defaultThemeColors.orange,
	pink: defaultThemeColors.pink,
	purple: defaultThemeColors.purple,
	red: defaultThemeColors.red,
	rose: defaultThemeColors.rose,
	sky: defaultThemeColors.sky,
	teal: defaultThemeColors.teal,
	trueGray: defaultThemeColors.trueGray,
	violet: defaultThemeColors.violet,
	warmGray: defaultThemeColors.warmGray,
	yellow: defaultThemeColors.yellow,
}

const gradeColors = {
	A: '#5DB130',
	'A+': '#009640',
	B: '#9FC31A',
	C: '#D6D700',
	D: '#FFED00',
	E: '#FCBF01',
	F: '#F08406',
	G: '#E30613',
}

const avatarPrimaryColor = {
	0: '#FEE2E2',
	1: '#FCA5A5',
	2: '#EF4444',
	3: '#B91C1C',
	4: '#FDE68A',
	5: '#FBBF24',
	6: '#D97706',
	7: '#92400E',
	8: '#D1FAE5',
	9: '#6EE7B7',
	10: '#10B981',
	11: '#047857',
	12: '#DBEAFE',
	13: '#93C5FD',
	14: '#3B82F6',
	15: '#1D4ED8',
	16: '#EDE9FE',
	17: '#C4B5FD',
	18: '#8B5CF6',
	19: '#6D28D9',
	20: '#FCE7F3',
	21: '#F9A8D4',
	22: '#EC4899',
	23: '#BE185D',
}

const avatarSecondaryColor = {
	0: '#7F1D1D',
	1: '#7F1D1D',
	2: '#FEF2F2',
	3: '#FEF2F2',
	4: '#78350F',
	5: '#78350F',
	6: '#FFFBEB',
	7: '#FFFBEB',
	8: '#064E3B',
	9: '#064E3B',
	10: '#ECFDF5',
	11: '#ECFDF5',
	12: '#1E3A8A',
	13: '#1E3A8A',
	14: '#EFF6FF',
	15: '#EFF6FF',
	16: '#4C1D95',
	17: '#4C1D95',
	18: '#F5F3FF',
	19: '#F5F3FF',
	20: '#831843',
	21: '#831843',
	22: '#FDF2F8',
	23: '#FDF2F8',
}

const colors = {
	...explicitColors,
	black: defaultThemeColors.black,
	current: 'currentColor',
	'avatar-primary': avatarPrimaryColor,
	'avatar-secondary': avatarSecondaryColor,
	'eco-chart': {
		bio: '#C17E6E',
		carbon: '#4B9B9B',
		eutro: '#BCD2BD',
		water: '#EDC16C',
	},
	'eco-chart-dark': {
		bio: '#BA6D5B',
		carbon: '#2F696A',
		eutro: '#AAC5AB',
		water: '#E4A429',
	},
	grade: gradeColors,
	pageBgColor: '#F3F4F6',
	primary: {
		50: '#F0FAF9',
		100: '#E2F3F2',
		200: '#C6E6E4',
		300: '#81C5C3',
		400: '#59B1AF',
		500: '#4B9B9B',
		600: '#398789',
		700: '#2F696A',
		800: '#264F50',
		900: '#203B3C',
	},
	secondary: {
		50: '#F0F4F8',
		100: '#F0F4F8',
		200: '#BCCCDC',
		300: '#9FB3C8',
		400: '#829AB1',
		500: '#627D98',
		600: '#486581',
		700: '#334E68',
		800: '#243C53',
		900: '#192C3D',
	},
	transparent: 'transparent',
	white: defaultThemeColors.white,
	green: defaultThemeColors.emerald,
	purple: defaultThemeColors.violet,
	yellow: defaultThemeColors.amber
}

module.exports = colors
